베스트셀링 인기 워드프레스 테마 Top 30 자세한 정보

워드프레스 4.8부터 IE 8, 9, 10에 대한 지원 중단

Last Updated: 2019년 4월 29일 | 6개 댓글
  • 네이버 블로그 공유하기
  • 네이버 밴드에 공유하기
  • 페이스북 공유하기
  • 트위터 공유하기
  • 카카오스토리 공유하기

워드프레스 IE 8, 9, 10 지원 중단

WordPress 4.8에서 하위 IE 버전에 대한 지원 중단 예정

워드프레스 창시자 Matt Mullenweg(매트 뮬렌웨그)는 곧 릴리스될 워드프레스 4.8에서 IE 버전 8, 9, 10에 대한 지원을 중단할 예정이라고 발표했습니다.

마이크로소프트(Microsoft)는 2016년 1월에 인터넷 익스플로러 8, 9, 10에 대한 지원을 중단하여 더 이상 보안 지원이 제공되지 않고 있습니다.

현재 전세계 IE 8, 9, 10 사용자는 전체 사용자의 1%도 채 되지 않는다고 하네요.

  • IE8: 0.41%
  • IE9: 0.26%
  • IE10: 0.26%
  • IE11: 3.79%

현재 IE 8을 지원하는 워드프레스 테마는 드문 편이고 보통 IE 9, IE 10 혹은 IE 11부터 지원되는 것으로 표시하고 있습니다(예를 들어, 아바다는 IE 9부터 지원하는 것으로 표기하고 있음). 하지만 실제로는 IE 9나 IE 10에서도 제대로 작동하지 않는 경우가 많은 것 같습니다.

테마 자체는 지원할 지 모르겠지만 함께 사용하는 플러그인이 제대로 지원하지 않기 때문에 실제로는 하위 IE 버전에서 제대로 작동하지 않을 수 있습니다. (가령 Visual Composer는 IE 11부터 지원하는 것으로 표시되어 있습니다. 따라서 VC를 사용하는 테마는 IE 11부터 제대로 작동할 것입니다.)

정부기관을 상대로 사업을 하는 업체는 '울며 겨자 먹기'식으로 IE 하위 버전에 대해 대응하는 경우를 많이 보는데요, 워드프레스 4.8에서 IE 8, 9, 10에 대한 지원을 중단함에 따라 Internet Explorer 하위 버전에 대한 대응이 더욱 어렵게 되지 않을까 우려되네요.

그리고 2017년 중순까지 권장 PHP 버전을 5.6에서 7.0으로 상향 조정할 예정이라고 하네요. PHP 7.0/7.1을 사용하면 사이트 속도도 향상되므로 가급적 최신 버전을 사용하는 것이 좋습니다.

2019년 4월 업데이트

IE10이 2020년 1월에 지원이 종료됩니다. 현재 워드프레스 권장 PHP 버전은 7.3 이상입니다. PHP 버전 5와 PHP 7.0의 수명 만료일(End-of-Life: EOL)이 도래하여 더 이상 보안 업데이트가 제공되지 않으므로 가능하면 PHP 7.1 이상을 사용하는 것이 보안과 성능상 유리합니다.



6 개 댓글

Leave a Comment

  1. 전세계 기준으로 1% 미만이지만 한국과 중국은 정반대라는게 문제죠
    한국이야 뭐 아직도 제로보드 쓰는데도 널리고 널렸으니 그러려니 하지만요

    응답
    • 그래도 Windows XP를 아직까지 사용하는 일반인들은 별로 없을 것 같습니다. 아마 정부기관이나 돈 없는 기업에서 주로 구형 시스템을 사용하지 않을까요? 자료를 검색해보면 IE는 버전별로 나오지 않고 그냥 통합하여 나오네요.

      2017년 3월 현재 우리나라에서 IE 점유율이 22% 정도로 추정되는 것 같습니다.

      https://uploads.disquscdn.com/images/31463e0b9ebf61543bc0eb8c1660d87e6a84f1d5a180643fe6c3a4632425739b.png

      제로보드 4.1이 2002년 초에 나온 것으로 검색되네요. 그러면 지금까지 사용하고 있다면 15년 동안 사용하고 있다는 의미가 되는데... 그렇게 오랫동안 업그레이드 없이 사용해도 해킹 등의 위험이 없나요?

      응답
      • 해킹문제 어마무시 합니다.
        요즘 저는 안 가는 편인데, 대표적인 웹사이트로 클리앙이 있죠
        엄청나게 오래된 시스템을 그대로 사용하고 있기로 유명합니다.
        운영진들이 개념상실에 막나가는 바람에 요즘은 사이트에 불만을 가진 IT 종사자들이 직접 사이트를 새로 개설해서 나가자는 말까지 나오고 있는 상황입니다.

        사이트가 보안에 워낙 취약하다 보니 메인서버가 랜섬웨어에 감염되어 접속했던 사용자 대부분이 랜섬웨어에 감영되는 사태까지 일어났었죠. 회사에서 월급루팡짓 하며 클리앙하던 사람들이 자신의 회사 컴퓨터에 감염되고 회사의 메인서버까지 랜섬웨어가 전염되면서 책상을 빼게 되었다는 사례도 있습니다.
        하지만 운영진은 사과글 하나 딸랑 올리고 아무런 대책도 없죠.
        이렇게 문제가 많은대도 여전히 구닥다리 구조를 유지하고 있습니다. 벌써 안 들어간지도 5개월이 넘은것 같네요. 요즘은 구조가 구식인 웹사이트는 되도록이면 안가려고 합니다. 제 데이터는 소중하니까요

      • 구글 검색하면 클리앙 글이 간혹 검색되어서 들어가곤 했는데 이제 주의해야 겠네요.ㅎㅎ

        토렌트 파일을 잘못 다운로드하여 PC가 악성코드에 감염되고, 그 때문에 워드프레스 사이트를 공격하는 문제가 발생한다는 기사가 오늘 올라왔습니다. 그런데 웃기는 것은 사용자가 위험한 파일을 잘못 다운로드하여 발생한 문제를 가지고 워드프레스가 보안에 취약하다고 언급하고 있더군요.ㅋㅋ

        https://www.thewordcracker.com/basic/%EB%89%B4%EC%8A%A4-%EC%9B%8C%EB%93%9C%ED%94%84%EB%A0%88%EC%8A%A4-%EC%B7%A8%EC%95%BD%EC%A0%90-%EC%95%85%EC%9A%A9-id%C2%B7%ED%8C%A8%EC%8A%A4%EC%9B%8C%EB%93%9C-%ED%83%88%EC%B7%A8/

  2. 이제 IE에도 서비스 중단이 되는군요.. 세계적으로 IE 사용하는 비율이 낮으니 상관은 없으나 유독 우리나라만큼 많으니..
    워드프레스를 사용하는 분은 저의 생각이지만 크롬을 사용하지 않을까 합니다.
    PHP는 상향 잘 했다고 생각이 되어지네요..^^

    5월의 하루가 시작이 되었네요.. 행복한 나날 보내세요..

    응답
    • 작년에 네이버에서 IE 8을 사용하지 말자고 캠페인을 실시했는데 그 이후에 별다른 얘기가 없는 것을 보니 별 효과가 없는 것 같습니다.

      정부기관이 IT를 선도해가야 하는데 오히려 IT 발전에 방해가 되고 있으니...

      5월이 시작되었네요. 저는 5월이 무섭습니다ㅋㅋ 쉬는 날이 너무 많아서요. 직장인이야 쉬는 날 쉬어도 월급이 나오지만 저는 일을 하지 않으면 굶어야 하거든요.ㅎㅎ

      응답